org.eclipse.ease.lang.python.debugger

## Interface IPythonDebugEngine

All Superinterfaces:
  IDebugEngine, IScriptEngine

All Known Implementing Classes:
  JythonDebuggerEngine, Py4jDebuggerEngine

    public interface IPythonDebugEngine
    extends IDebugEngine

Extension of `IDebugEngine` for Python script engines.

### Field Summary

### Fields inherited from interface org.eclipse.ease.IScriptEngine

`TRACE_SCRIPT_ENGINE`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `setDebugger(PythonDebugger debugger)` Sets the PythonDebugger for the debug engine.

### Methods inherited from interface org.eclipse.ease.IDebugEngine

`getExceptionStackTrace, getExceptionStackTrace, getStackTrace, getVariables, removeVariable, setupDebugger`

### Methods inherited from interface org.eclipse.ease.IScriptEngine

`addExecutionListener, addSecurityCheck, executeAsync, executeSync, getDescription, getErrorStream, getExecutedFile, getInputStream, getLaunch, getMonitor, getName, getOutputStream, getVariable, getVariables, hasVariable, inject, injectUI, isFinished, join, registerJar, removeExecutionListener, removeSecurityCheck, schedule, setCloseStreamsOnTerminate, setErrorStream, setInputStream, setOutputStream, setVariable, terminate, terminateCurrent`

### Method Detail

#### setDebugger

    void setDebugger(PythonDebugger debugger)

Sets the PythonDebugger for the debug engine.

Parameters:
  `debugger` - `PythonDebugger` to be used.